<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2009/07/07)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
session_start();
//compatibilit avec ancienne version php
$phpVersion = ((substr(phpversion(),0,1) <= 3) || ((substr(phpversion(),0,1) == 4) && (substr(phpversion(),2,1) == 0)))? "old" : "new" ;

if ($phpVersion == "old" ) {
    $log = "";
    $upseudo = "";
    session_register('log');
    session_register('upseudo');
}
  
header("Cache-control: private");
define("CHEMIN", "../../");
include(CHEMIN."inc/includes.inc");
$lng = strip_tags($lng);
// Insertion des fichiers de langue
include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs".INCEXT); // fichier de langue du plugin
include(CHEMIN."inc/lang/".$lng."-admin".INCEXT); //fichier de langue de guppy

//Rcupration et initialisation de la variable de connexion
$connect = isset($_POST['connect']) ? $_POST['connect']: null;
if ( $connect != 1) { $connect = 0;}

switch($connect) {
	case "1" :  // on tente de se logguer
		//Rcupration et scurisation des variables postes
    	$upseudo = isset($_POST['upseudo']) ? $_POST['upseudo'] : '';
    	$upseudo = strip_tags($upseudo);
    	$pass = isset($_POST['md5']) ? $_POST['md5'] : '';
    	$pass = strip_tags($pass);

		// on teste si tout est ok avant de se logguer
    	if (!preg_match('`^[-a-z0-9_]+$`i', $upseudo) || !preg_match('`^[-a-z0-9_]+$`i',$pass) || !file_exists(REP_REDAC.$upseudo.DBEXT) || $upseudo =='' || $pass == '') {          // On test le pseudo et le pass rentr
        	header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);
	    	exit(); 
        } else { //c'est OK 
		    include(REP_REDAC.$upseudo.DBEXT);
	        $mdp = $redacprefs['rpass']; // On rcupre le mot de passe crypt sur le serveur
        }
	
    	if ( $pass == $mdp) { // On compare les 2 mots de passe crypts
	    	if ($phpVersion == "new" ) {
            	$_SESSION['log'] = 'Logged';
            	$_SESSION['upseudo'] = $upseudo;
			} else {
		    	$log = 'Logged';
		  	}
						
			//CREATION ET ENVOI DU COOKIE//			
			$redacUID = md5($upseudo.GenerateUID());
			$dbwork = array();			
			$dbwork = ReadDBFields(REP_REDACMSG.'redac_online'.DBEXT);
			$j = 0;
			for($i =0;$i < count($dbwork);$i++) {
				if($dbwork[$i][0] == $upseudo) {
					$dbwork[$i][1] = $redacUID;
					$dbwork[$i][2] = 'a';
					$j = 1;
				}
			}
			if($j == 1) {
				WriteDBFields(REP_REDACMSG.'redac_online'.DBEXT,$dbwork);
			} else {
				$dbwork = array();
				$dbwork[0] = $upseudo;
    			$dbwork[1] = $redacUID;
    			$dbwork[2] = 'a';
				AppendDBFields(REP_REDACMSG.'redac_online'.DBEXT,$dbwork);
			}
			unset($dbwork);
			$timeSession[0][0] = time();
			WriteDBFields(REP_REDACMSG.$upseudo.'_time'.DBEXT,$timeSession);
			unset($timeSession);
			setcookie('GuppYRedac',$upseudo.CONNECTOR.$redacUID,0,'/');
			///////////////////////////////////////////////////////////////////			
        	header("Location:".CHEMIN."plugins/adm_redacteurs/admin.php?lng=".$lng);
        	exit();
    	} else {
			if ($phpVersion == "new" ) {
            	$_SESSION['log'] = 'Not logged';
            	$_SESSION['upseudo'] = Guest;
			} else {
             	$log = 'Not Logged';
             	$upseudo = 'Guest';
		    }
            header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);
	        exit();
    	}
    break;

	case "0" :  //on ne s'est pas encore connect

    include(CHEMIN."inc/hpage".INCEXT);
?>
    <script type="text/javascript" src="inc/md5.js"></script>
    <script type="text/javascript">
       function submit_pass(h) {
           // on vrifie que le rdacteur a bien rentr un pseudo et un mot de passe
           var erreur = false;
		   
		   h.pass.value = h.pass.value.replace(/\s/g,'');  //on enlve les espaces blancs
           if (h.upseudo.value.length < 1 || h.pass.value.length < 1) {
               message = '<?php echo addslashes($redac29); ?>'; 
               erreur = true;
           } 
		    
		   switch (erreur) {		      
		       case false :
		           rdpseudo = h.upseudo.value; // On rcupre le pseudo		       
		           passwd = h.pass.value;     // On rcupre le pass saisi
		           h.pass.value = "password";   // On remplace le pass par password
		           passwd = rdpseudo+passwd; 
                   passcrypt = hex_md5(passwd);  // On le crypte
		           h.md5.value = passcrypt;     // On l'affecte
			       return true;                // On l'envoie  
				   break;			   
			   default :
		           alert(message);
			       return false;			     
           }  
       	}
     </script>
<?php
     htable($admin23, "100%");
?>
    <form id="login" name="login" action="connect.php?lng=<?php echo $lng; ?>" method="post" onsubmit="return submit_pass(this);">
    <input type="hidden" id="connect" name="connect" value="1" />
    <input type='hidden' id='md5' name='md5' value='' />
    <table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">
    <tr><td style="text-align:right; padding:15px 0px; font-weight:bold;"><?php echo $redac1; ?></td><td style="padding:15px 10px;"><input class="texte" type="text" name="upseudo" id="upseudo" size="15" /></td></tr>
    <tr><td style="text-align:right; padding-bottom:15px; font-weight:bold;"><?php echo $redac10; ?></td><td style="padding-left:10px;padding-bottom:15px;"><input class="texte" type="password" name="pass" id="pass" size="15" /></td></tr>
    <tr><td align="center" nowrap="nowrap" colspan="2"><?php echo $boutonleft; ?><input class="bouton" type="submit" value="<?php echo $admin25; ?>" /><?php echo $boutonright; ?></td></tr>
    </table>
    </form>

   <p style="text-align:center;font-weight:bold;"><?php echo $admin26; ?>&nbsp;<?php echo $admin27; ?><br /><?php echo $admin28; ?></p>
<?php
   btable();
   include(CHEMIN."inc/bpage".INCEXT);
   break;
   
default :
   include(CHEMIN."inc/hpage".INCEXT);
   htable($admin23, "100%");
   echo '<div style="text-align:center;margin-top:30px; margin-bottom:30px;">'.$redac60.'</div>';
   btable();
   include(CHEMIN."inc/bpage".INCEXT);
}
?>