<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6
 */
session_start();
header("Pragma: no-cache");
define("CHEMIN", "../../../");
include(CHEMIN."inc/includes.inc");
$lng = isset($_GET['lng']) ? strip_tags($_GET['lng']) : NULL;
$nameform = isset($_GET['nameform']) ? strip_tags($_GET['nameform']) : NULL;
$nametextarea = isset($_GET['nametextarea']) ? strip_tags($_GET['nametextarea']) : NULL;
if(!eregi("^[a-z]+$",$lng) || !eregi("^[-a-z0-9_]+$",$nameform) || !eregi("^[-a-z0-9_]+$",$nametextarea)) die("Erreur dans le nom des variables passes dans l'URL !!");
//Protection contre les petits curieux
if (file_exists(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT)) {
    include(CHEMIN."plugins/adm_redacteurs/inc/redac_login".INCEXT);
} else {
    die('Error 220');
};

//on regarde ce que contient la variable $log
switch ($log){

    case "Not logged" :  //on sort
	     if($version == "new"){
              unset($_SESSION['log']);
	          unset($_SESSION['upseudo']);
		 } else {
		      session_unset();
			}
	    session_destroy();
        header("Location:".$site[3]."plugins/adm_redacteurs/connect.php?lng=".$lng);
        break;

    case "Logged" :
//Fin de protection
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)
$accessRepUpload = array('img','photo','file','pages','flash');  //Rpertoire o l'on a accs pour uploader (valeur par dfaut)

// INSERTION FICHIER DE LANGUE
if(file_exists(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc')) {
	include(CHEMIN.'plugins/adm_redacteurs/lang/'.$lng.'-adm_redacteurs.inc');
} else {
	include(CHEMIN.'plugins/adm_redacteurs/lang/en-adm_redacteurs.inc');
}

// On rcupre la config du rdacteur ou du groupe rdacteur
include(REP_REDAC.$upseudo.DBEXT);
if (isset($redacprefs['rgroupseudo']) && $redacprefs['rgroupseudo'] != '' &&  is_file(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT)) {
	include(REP_REDAC.'grp_'.$redacprefs['rgroupseudo'].INCEXT);
} 

//RECUPERATION DE LA CONFIGURATION PERSONNALISE DE L'UPLOAD (VARIABLE $accessRepUpload)
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/config_upload.inc');  //CONFIGURATION UPLOAD MINIEDITEUR (SI PRESENT)
} elseif(file_exists(CHEMIN.$pathDirMinieditor.'htmlarea_config/config_upload.inc')) {  
	include(CHEMIN.$pathDirMinieditor.'htmlarea_config/config_upload.inc');  //CONFIGURATION UPLOAD HTMLAREA
}

//CONTROLE DES REPERTOIRES ECRITS DANS LA VARIABLE $accessRepUpload et CREATION DU REPERTOIRE SI NECESSAIRE
include(CHEMIN.$pathDirMinieditor.'upload/functions_upload.inc');
$accessRepUpload = controlNameRepUpload($accessRepUpload);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>HTMLArea</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>">
<?php
 if (file_exists($meskin."style.css")) {
	echo "<link type=\"text/css\" rel=\"stylesheet\" href=\"".$meskin."style.css\">";
	}
	else {
	echo "<style type=\"text/css\">";
 if (file_exists($meskin."style.inc")) { 
	include($meskin."style.inc");
	}
	else {
	include(CHEMIN."inc/style.inc");
	}
  echo "</style>";
}
?>
<script type="text/javascript">
<!--
      // URL du dossier contenant l'diteur (important)
      _editor_url = "<?php echo $site[3]; ?>inc/htmlarea/";
      // langue de l'diteur
      _editor_lang = "<?php echo $lng; ?>";
-->
</script>
<script type="text/javascript" src="<?php echo $site[3]; ?>inc/htmlarea/htmlarea.js"></script>
<?php
//CONFIGURATION DE HTMLAREA
if (file_exists(CHEMIN.$pathDirMinieditor.'htmlarea_config/guppy_htmlareaconfig.inc')) {
    include(CHEMIN.$pathDirMinieditor.'htmlarea_config/guppy_htmlareaconfig.inc');
} else {
    die ('Une erreur est survenue car il manque le fichier '.$pathDirMinieditor.'htmlarea_config/guppy_htmlareaconfig.inc');
} 
?>

<script type="text/javascript">
<!--
      // Chargement des plugins
      HTMLArea.loadPlugin("TableOperations");
	  HTMLArea.loadPlugin("ContextMenu");
	  
     //cration de l'diteur avec rcupration du code du textarea de guppy
	    var editor = null;
        function initDocument() {
	        //Rcupration du code
<?php
            if (isset($nametextarea) && isset($nameform)) {
		    	echo 'editorvalue = window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value;';
			}

            //Chemin absolu dans l'diteur
            echo 'var IPATH = "'.$site[3].'";'."\n";
			if(!file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea.inc')) {
?>
            	editorvalue = editorvalue.replace (/\|\:\-\)/g, '<img src="inc/img/smileys/cool.gif" alt="cool" border="0" />');
	        	editorvalue = editorvalue.replace (/\;\-\)/g, '<img src="inc/img/smileys/wink.gif" alt="wink" border="0" />');
	        	editorvalue = editorvalue.replace (/\:\-\)\)/g, '<img src="inc/img/smileys/biggrin.gif" alt="biggrin" border="0" />');
	        	editorvalue = editorvalue.replace (/\:\-\)/g, '<img src="inc/img/smileys/smile.gif" alt="smile" border="0" />');
	        	editorvalue = editorvalue.replace (/\:\-o/gi, '<img src="inc/img/smileys/frown.gif" alt="frown" border="0" />');
            	editorvalue = editorvalue.replace (/\:o\)/gi, '<img src="inc/img/smileys/eek.gif" alt="eek" border="0" />');
	        	editorvalue = editorvalue.replace (/\:\-\(\(/g, '<img src="inc/img/smileys/mad.gif" alt="mad" border="0" />');
	        	editorvalue = editorvalue.replace (/\:\-\(/g, '<img src="inc/img/smileys/confused.gif" alt="confused" border="0" />');
	        	editorvalue = editorvalue.replace (/8\-\)/gi, '<img src="inc/img/smileys/rolleyes.gif" alt="rolleyes" border="0" />');
	        	editorvalue = editorvalue.replace (/\:\-p/g, '<img src="inc/img/smileys/tongue.gif" alt="tongue" border="0" />');
	        	editorvalue = editorvalue.replace (/\;\-\(/g, '<img src="inc/img/smileys/cry.gif" alt="cry" border="0" />');
<?php
			}
			echo 'editorvalue = editorvalue.replace (/src=\"inc\//gi,"src=\"" + IPATH + "inc/");'."\n";
			foreach($accessRepUpload as $nameRepUp) {
				echo 'editorvalue = editorvalue.replace (/src=\"'.$nameRepUp.'\//gi,"src=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
				echo 'editorvalue = editorvalue.replace (/src='.$nameRepUp.'\//gi,"src=" + IPATH + "'.$nameRepUp.'/");'."\n";
				echo 'editorvalue = editorvalue.replace (/href=\"'.$nameRepUp.'\//gi,"href=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
				echo 'editorvalue = editorvalue.replace (/value=\"'.$nameRepUp.'\//gi,"value=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
				echo 'editorvalue = editorvalue.replace (/data=\"'.$nameRepUp.'\//gi,"data=\"" + IPATH + "'.$nameRepUp.'/");'."\n";
			}
?>    
            //cration de l'diteur
            var editor = new HTMLArea("editor",configuppy);
            					
			//mise en place des plugins dans l'diteur
            editor.registerPlugin(TableOperations);
			editor.registerPlugin(ContextMenu);
			
			editor.generate();			
		    editor._textArea.value = editorvalue;
			
			if (HTMLArea.is_gecko) {
			
				switch(_editor_lang) {
					case 'fr' :
						affichAlert = "Pour viter un couic sous Mozilla avec le mode d'affichage HTML de l'diteur,\n veuillez cliquez sur le bouton OK."; 
					break;
					case 'en' :
						affichAlert = "To correct editor's bug width HTML mode under Mozilla,\n please, click on the button OK."; 
					break;
					case 'it' :
						affichAlert = "Pour viter un couic sous Mozilla avec le mode d'affichage HTML de l'diteur,\n veuillez cliquez sur le bouton OK."; 
					break;
					default :
						affichAlert = "To correct editor's bug width HTML mode under Mozilla,\n please, click on the button OK."; 
				}
                alert(affichAlert);
				}
         	};
	    
	  // Enregistrement et envoie du code cre vers le textarea de guppy
	  function OnFormSubmit(){
            var submiteditorvalue = document.fHtmlEditor.editor.value;
				
			//Transformation chemin absolu en chemin relatif pour les images et les liens
<?php 		
			function expRegExpression($expression) {
				$chaine = $expression;
				$expRegMetaCar = array('\\','^','$','.','*','+','?','=','!','|','/','(',')','[',']','{','}');
				for($i=0; $i<count($expRegMetaCar); $i++) {
					$chaine =  str_replace($expRegMetaCar[$i],'\\'.$expRegMetaCar[$i],$chaine);
				}
				return $chaine;
			}
			$expRegURLSite = expRegExpression($site[3]);
			$expRegURLSous_Site = expRegExpression(eregi_replace('http://[^/]+/','/', $site[3]));
	
			echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSite.'inc\/)/gi,"src=\"inc/");'."\n"; 
			echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSite.'inc\/)/gi,"href=\"inc/");'."\n"; 
			//
			echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSous_Site.'inc\/)/gi,"src=\"inc/");'."\n"; 
			echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSous_Site.'inc\/)/gi,"href=\"inc/");'."\n"; 
			//
			echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"\/inc\//gi,"src=\"inc/");';
			echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"(\.\.\/)+inc\//gi,"src=\"inc/");'."\n";

			foreach($accessRepUpload as $nameRepUp) {
				echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"src=\"'.$nameRepUp.'/");'."\n"; 
				echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"href=\"'.$nameRepUp.'/");'."\n";
				echo 'submiteditorvalue = submiteditorvalue.replace (/(value=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"value=\"'.$nameRepUp.'/");'."\n";
				echo 'submiteditorvalue = submiteditorvalue.replace (/(data=\"'.$expRegURLSite.$nameRepUp.'\/)/gi,"data=\"'.$nameRepUp.'/");'."\n";
				//
				echo 'submiteditorvalue = submiteditorvalue.replace (/(src=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"src=\"'.$nameRepUp.'/");'."\n"; 
				echo 'submiteditorvalue = submiteditorvalue.replace (/(href=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"href=\"'.$nameRepUp.'/");'."\n";
				echo 'submiteditorvalue = submiteditorvalue.replace (/(value=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"value=\"'.$nameRepUp.'/");'."\n";
				echo 'submiteditorvalue = submiteditorvalue.replace (/(data=\"'.$expRegURLSous_Site.$nameRepUp.'\/)/gi,"data=\"'.$nameRepUp.'/");'."\n";
				//
				echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"\/'.$nameRepUp.'\//gi,"src=\"'.$nameRepUp.'/");';
				echo 'submiteditorvalue = submiteditorvalue.replace (/src=\"(\.\.\/)+'.$nameRepUp.'\//gi,"src=\"'.$nameRepUp.'/");'."\n";
			}
?>		
			if (HTMLArea.is_gecko) {
				submiteditorvalue = submiteditorvalue.replace (/^\s/gi,"");
			}	 
				
            //envoie du code				
<?php
            if (isset($nametextarea) && isset($nameform)) {
				echo 'window.opener.document.forms[\''.$nameform.'\'].elements[\''.$nametextarea.'\'].value = submiteditorvalue;'."\n";
			}
?>				
            if(confirm("<?php echo $admin373; ?>")){
		        self.close();
				return true;
		    } else {
		        return false;
		    }            
      };

     //popup help
	   function PopupWindow(page,titre,largeur,hauteur,resizeyn,scrollb) {
          var top=(screen.height-hauteur)/2;
          var left=(screen.width-largeur)/2;
          window.open(page,titre,"top="+top+", left="+left+", width="+largeur+", height="+hauteur+", directories=no, menubar=no, status=no, resizable="+resizeyn+", scrollbars="+scrollb+",location=no");
       };
-->
</script>
	
</head>

<body style="padding:10px;">
       <form action=""  id="fHtmlEditor" name="fHtmlEditor"  method="post" onSubmit="return OnFormSubmit();">
	   <table cellpadding="0" cellspacing="0" border="0" align="center" width="100%">	   
	   <tr><td><textarea id="editor" name="editor" style="height:400px; width:100%;"></textarea></td></tr>
		<tr><td align="center" style="padding:10px;" valign="middle">
<?php
        DrawSmileys2();
?>	
       </td></tr>
	   <tr><td align="center"><input class="bouton" type="submit" style="width:60px;" value="<?php echo $web52; ?>" /></td></tr>
	   </table>
	   </form>
	   <script type="text/javascript">
	       initDocument();
	   </script>
  </body>
</html>
<?php
}
?>